\section{Task Description}
Mel-Frequency Cepstral Coefficients feature extraction is a popular method used
for speech recognition based on the characterization of the signal with 39
features.

The goal of this task is to use this technique in order to extract
characteristic phonemes relative to the different audio signals that we feed
into the system, in our case these signals are numbers (from 0 to 9) that are
pronounced by different people (i.e having different pitches), this is the
training phase of this task.

The next challenge is to be able to identify a random audio input (has to be a
number between 0-9) and match it with our previously trained data and display
the matching number on the screen, this is the testing phase.

In the training process, MFCC features will be extracted from various samples
of each word. The samples will be clustered using k-means and vector
quantization . 
